Package ch.ntb.usb

# Class USBException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
ch.ntb.usb.USBException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `USBTimeoutException`

public class USBException extends IOException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`USBException(String string)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### USBException

public USBException(String string)